Subject: Re: [PATCH] ftrace: objcopy version test for local symbols

From: Ingo Molnar <[email-masked]>
Date: Mon, 25 Aug 2008 21:01:03 +0200

* Steven Rostedt <[email-masked]> wrote:

> From: Steven Rostedt <[email-masked]>
> Subject: ftrace: objcopy version test for local symbols
> 
> The --globalize-symbols option came out in objcopy version 2.17.
> If the kernel is being compiled on a system with a lower version of
> objcopy, then we can not use the globalize / localize trick to
> link to symbols pointing to local functions.
> 
> This patch tests the version of objcopy and will only use the trick
> if the version is greater than or equal to 2.17. Otherwise, if an
> object has only local functions within a section, it will give a
> nice warning and recommend the user to upgrade their objcopy.
> 
> Leaving the symbols unrecorded is not that big of a deal, since the
> mcount record method changes the actual mcount code to be a simple
> "ret" without recording registers or anything.
> 
> Signed-off-by: Steven Rostedt <[email-masked]>

applied to tip/tracing/ftrace, also have integrated it into 
auto-ftrace-next. (without much testing - i hope it goes well)

	Ingo